#ifndef MLIB_MYLIB_H
#define MLIB_MYLIB_H

#define RESULT
#define ALLOCATED
#define RELEASE

///////////////////////////////////////////////////////////////////////////////
// my file function
///////////////////////////////////////////////////////////////////////////////
#include <sys/stat.h>

ALLOCATED char* extname(char* name);       // extention name
ALLOCATED char* noextname(char* name);     // without extension name
ALLOCATED char* parentname(char* path);    // parent dir name
ALLOCATED char* mygetcwd();                // current working directory
char* mygetpwuid(struct stat* statbuf);    // user name
char* mygetgrgid(struct stat* statbuf);    // group name

#endif
